// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Handle add/remove competency links.
 *
 * @module     format_iena/suivi
 * @package    format_iena
 * @copyright  2021 Myriam Delaruelle
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
define(['jquery', 'core/ajax', 'core/str'],
       function($, ajax, str) {

       	return{
       		
       		registerHeader:function(){
                console.log("par ici ?");
                var heightWrapper= $("#summary-wrapper").css("height");
        
                if(parseInt(heightWrapper, 10) >= 144){
                    $("#button-collapse").click(function(){
                    if($("#summary-wrapper").hasClass('collapsed')){
                        $("#summary-wrapper").animate({ "max-height": '144px' }, "slow" );
                        var message=str.get_string('displayInfos', 'format_iena');
                        $.when(message).done(function(localizedEditString) {
                            $("#button-collapse").text(localizedEditString);
                        }); 

                    }
                    else{

                        var height= $("#summary-collapse").height();
                        var calcHeight=height+20;
         
                        $("#summary-wrapper").animate({ "max-height": calcHeight+'px' }, "slow" );
                        var message=str.get_string('hideInfos', 'format_iena');
                        $.when(message).done(function(localizedEditString) {
                            $("#button-collapse").text(localizedEditString);
                        }); 
                        
                        
                    }
                    $("#summary-wrapper").toggleClass("collapsed");
                    
                    
                    })
                }
                else{
                    $("#button-collapse").hide();
                }
                var menu=$("#drawermenu .nav.navbar");
                url=window.location.search;
                console.log(url)
                menu.append("<li class='nav-item'><a class='nav-link' href='"+url+"/course/format/iena/suivi_unit.php?courseid=3&sectionid=0&groupid=0'><i class='icon fa fa-table fa-fw' title='Notes'></i></a></li>");

	    		
	    		
       		}

       		
       		
       	}

   


   
  
});
