<?php


if (!defined('MOODLE_INTERNAL')) {
    die('Direct access to this script is forbidden.');    ///  It must be included from a Moodle page
}



require_once($CFG->libdir.'/formslib.php');

/**
 * Default form for editing course section
 *
 * Course format plugins may specify different editing form to use
 */
class edittable_form extends moodleform {

    function definition() {

        $mform  = $this->_form;
        $courseid = $this->_customdata['courseid'];
        $display_groups = $this->_customdata['display_groups'];
        $display_status = $this->_customdata['display_status'];
        $display_details = $this->_customdata['display_details'];
        $display_custom = $this->_customdata['display_custom'];
        //$sectioninfo = $this->_customdata['cs'];

        $radioarray = array();
        $radioarray[] = $mform->createElement('advcheckbox', 'display_groups', get_string('enable'));
        $mform->addGroup($radioarray, 'groups', get_string('display_groups', 'format_iena'), array(' '), false);
        $mform->addHelpButton('groups', 'display_groups', 'format_iena');
        $mform->setDefault('display_groups', $display_groups['value']);

        $radioarray = array();
        $radioarray[] = $mform->createElement('advcheckbox', 'display_custom', get_string('enable'));
        $mform->addGroup($radioarray, 'custom', get_string('display_custom', 'format_iena'), array(' '), false);
        $mform->addHelpButton('custom', 'display_custom', 'format_iena');
        $mform->setDefault('display_custom', $display_custom['value']);

        $radioarray = array();
        $radioarray[] = $mform->createElement('advcheckbox', 'display_status', get_string('enable'));
        $mform->addGroup($radioarray, 'status', get_string('display_status', 'format_iena'), array(' '), false);
        $mform->addHelpButton('status', 'display_status', 'format_iena');
        $mform->setDefault('display_status', $display_status['value']);

        $radioarray = array();
        $radioarray[] = $mform->createElement('advcheckbox', 'display_details', get_string('enable'));
        $mform->addGroup($radioarray, 'details', get_string('display_details', 'format_iena'), array(' '), false);
        $mform->addHelpButton('details', 'display_details', 'format_iena');
        $mform->setDefault('display_details', $display_details['value']);
    
        $this->add_action_buttons(true, get_string('savechangesanddisplay'));
        $mform->addElement('hidden', 'courseid', $courseid);
        $mform->setType('courseid', PARAM_INT);

        //$this->set_data($courseid);
    }



    /*function get_data() {
        $mform =& $this->_form;
       
        if (!$this->is_cancelled() and $this->is_submitted() and $this->is_validated()) {
            $data = $mform->exportValues();
            unset($data['sesskey']); // we do not need to return sesskey
            unset($data['_qf__'.$this->_formname]);   // we do not need the submission marker too
            if (empty($data)) {
                return NULL;
            } else {
                return (object)$data;
            }
        } else {
            return NULL;
        }
    }*/



}
